%define gcj_support             1
%define major                   4
%define minor                   0       
%define patch                   0       
%define majmin                  %{major}.%{minor}
%define eclipse_base            %{_libdir}/eclipse

Summary:        Eclipse Fortran Development Tools (Photran) plugin
Name:           eclipse-photran
Version:        %{majmin}.%{patch}
Release:        0.4.b5%{?dist}
License:        EPL
Group:          Development/Tools
URL:            http://www.eclipse.org/photran
Requires:       eclipse-platform

# The following tarball was generated by the makesource.sh script
Source0: org.eclipse.photran-v20090220_4_0_0_Beta5.tar.gz
Source1: makesource.sh
BuildRequires: eclipse-pde
BuildRequires: eclipse-cdt >= 4.0.1
%if %{gcj_support}
BuildRequires:  gcc-java >= 4.0.2
BuildRequires:  java-gcj-compat-devel >= 1.0.64
Requires(post):   java-gcj-compat >= 1.0.64
Requires(postun): java-gcj-compat >= 1.0.64
%else
BuildRequires:  java-devel >= 1.4.2
%endif

Requires:       gdb make gcc-gfortran
Requires:       eclipse-platform >= 1:3.3.0

# Currently, upstream CDT only supports building on the platforms listed here.
ExclusiveArch: %{ix86} x86_64 ppc ia64
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 


%description
The eclipse-photran package contains the Photran Eclipse feature and plugins
that are useful for Fortran development.


%package        intel
Summary:        Intel Fortran compiler support for Photran
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    intel
%{summary}.


%package        xlf
Summary:        IBM XL Fortran compiler support for Photran
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    xlf
%{summary}.


%prep
%setup -q -n org.eclipse.photran-v20090220_4_0_0_Beta5
# Fixup to use 1.5 source level
find -name \*.prefs | xargs sed -i -e 's/source=1.3/source=1.5/'
# This prevents the intel feature from building
sed -i -e 's/os="linux"//' org.eclipse.photran.intel-feature/feature.xml


%build
export JAVA_HOME=%{java_home}
export PATH=%{java_bin}:/usr/bin:$PATH
for feature in org.eclipse.photran_feature org.eclipse.photran.intel \
               org.eclipse.photran.vpg_feature org.eclipse.photran.xlf_feature
do
  %{eclipse_base}/buildscripts/pdebuild -d cdt \
    -f $feature -a "-DjavacSource=1.5 -DjavacTarget=1.5" 2>&1 | tee ${feature}.log
done


%install
rm -rf ${RPM_BUILD_ROOT}
for feature in photran_feature photran.vpg_feature photran.intel photran.xlf_feature
do
  install -d -m755 ${RPM_BUILD_ROOT}%{eclipse_base}/dropins/${feature}
  
  unzip -o -d ${RPM_BUILD_ROOT}%{eclipse_base}/dropins/${feature} \
              build/rpmBuild/org.eclipse.${feature}.zip
  mv ${RPM_BUILD_ROOT}%{eclipse_base}/dropins/${feature}/eclipse/* \
     ${RPM_BUILD_ROOT}%{eclipse_base}/dropins/${feature}
  rmdir ${RPM_BUILD_ROOT}%{eclipse_base}/dropins/${feature}/eclipse
done

%if %{gcj_support}
aot-compile-rpm
%endif


%clean 
rm -rf ${RPM_BUILD_ROOT}


%if %{gcj_support}
%post -p %{_bindir}/rebuild-gcj-db

%postun -p %{_bindir}/rebuild-gcj-db
%endif


%files
%defattr(-,root,root,-)
%doc org.eclipse.photran-feature/epl-v10.html
%{eclipse_base}/dropins/photran_feature
%{eclipse_base}/dropins/photran.vpg_feature
%if %{gcj_support}
%{_libdir}/gcj/%{name}
%endif

%files intel
%defattr(-,root,root,-)
%{eclipse_base}/dropins/photran.intel

%files xlf
%defattr(-,root,root,-)
%{eclipse_base}/dropins/photran.xlf_feature


%changelog
* Mon Feb 23 2009 Orion Poplawski <orion@cora.nwra.com> - 4.0.0-0.4.b5
- Update to 4.0.0 Beta 5
- Fix release tag
- Add Intel compiler support package

* Fri Sep 5 2008 Orion Poplawski <orion@cora.nwra.com> - 4.0.0-0.b4.3
- Fix xlf Requires

* Wed Sep 3 2008 Orion Poplawski <orion@cora.nwra.com> - 4.0.0-0.b4.2
- Split out IBM XL Fortran support into sub-package

* Thu Aug 28 2008 Orion Poplawski <orion@cora.nwra.com> - 4.0.0-0.b4.1
- 4.0.0 Beta 4
- Update for building against Eclipse SDK 3.4
- Move everything to %%{_libdir}

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 4.0-1.b3.1
- Autorebuild for GCC 4.3

* Thu Dec 20 2007 - Orion Poplawski <orion@cora.nwr.com> - 4.0-0.b3.1
- One line post/postun script form

* Mon Nov 12 2007 - Orion Poplawski <orion@cora.nwr.com> - 4.0-0.b3
- Initial package
